function ajusteDeInventario() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const j = require('../../json/leitorJson.po.js');
	const protractorHelper = require('protractor-helper');
	const self = this;

	var EC = protractor.ExpectedConditions;

	this.abrir =  function(){
		geral.abrir(['Estoque', 'Ajuste de Inventário']);
		this.fazerFiltro();
	};

	this.fazerFiltro = function(){
		browser.wait(EC.elementToBeClickable($('#footer #footer div.zh-footer-right li a .zh-footer-title-sprit'))).then(function(aplicarFiltro){
			if(aplicarFiltro){
				geral.clickLimparFiltro();
				geral.searchAndClickGridField('NMFILIAL', j.getValor('filialApenasComcontroleDeEstoque'));
				self.informaDataAtualFinalNoMesmoCampo('DTLANCESTQ');
				geral.clickAplicarFiltro();
			}
		});

	};

	this.informaDataAtualFinalNoMesmoCampo =  function(id){
		element(by.id(id)).click();
		browser.wait(EC.elementToBeClickable($('.zh-interval-widget .action'))).then(function(aplicarFiltro){
			if(aplicarFiltro){
				element.all(by.css('.zh-interval-widget .action')).click();
			}
		});
		geral.esperarLoading();
		browser.wait(EC.elementToBeClickable($('.popup-container #footer .zh-footer-right'))).then(function(frase){
			if(frase){
				element.all(by.xpath('//*[@id="popup"]/span/section/section/section/div/div[2]/div/div[2]/div/div[1]/ul/li[2]/div/div/span[1]')).click();
			}
		});
	};

	this.informarAbaAjusteDeInventario = function(){
		browser.wait(EC.elementToBeClickable($('#footer .zh-footer-right a span'))).then(function(salvar){
			if (salvar) {
				geral.clickLimparCampoData('.zh-field-DTLANCESTQ');
				geral.clickAndFillField('DTLANCESTQ', geral.geraDataDoDia());
				geral.clickAndFllField('DSLANCESTQ', j.getValor('textoDescricaoAjuste'));
				geral.clickSalvar();
			}
		});
	};

	this.informarAbaProduto = function(){
		browser.wait(EC.elementToBeClickable($('#footer .zh-footer-right a span'))).then(function(salvar){
			if(salvar){
				geral.searchAndClickGridField('NMPRODUTO', j.getValor('nomeProduto1'));
				geral.clickAndFllField('QTTOTLANCTO', j.getValor('valorAjuste'));
				geral.clickSalvar();
			}
		});
	};

	/*this.verificaTelaConfirmacao = function(){
		browser.wait(EC.elementToBeClickable($('.popup-container #footer .zh-footer-right'))).then(function(confirmar){
			var nome = element.all('#grid-20852794693745528602874 .body .cell1').first();
			var aposAjuste = element.all('#grid-20852794693745528602874 .body .cell1').last();
			console.log('Nome: ' + nome.getText());
			console.log('Após ajuste' + aposAjuste.getText());
		});
	};*/


	/*this.adicionaSetor = (setor, sigla, nome, centrocusto, departamento) => {
		geral.clickAdicionar();

		geral.clickAndFllField('CDSETOR', setor);
		geral.clickAndFllField('SGSETOR', sigla);
		geral.clickAndFllField('NMSETOR', nome);
		geral.searchAndClickGridField('NMCENTCUST', centrocusto, 'NMCENTCUST', '0');
		geral.searchAndClickGridField('NMDEPTO', departamento, 'NMDEPTO', '0');
		geral.clickSalvar();
		geral.clickOk();
		protractorHelper.waitForElementVisibility(element(by.id('grid-12102554951811807910983')), 5000);
	};

	this.alteraSetor = (agencia, cnpj, cep, telefone, fax) => {
		geral.clickEditar();
		geral.fillField('NMAGENCIA', agencia);
		geral.clickAndFllField('NRCGCAGEN', cnpj);
		geral.clickAndFllField('NRCEPAGEN', cep);
		geral.fillField('NRFONEAGEN', telefone);
		geral.clickAndFllField('NRFAXAGEN', fax);
		geral.clickSalvar();
	};*/
}

module.exports = new ajusteDeInventario();
